Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337565 - sys-power/acpitool _FORTIFY_SOURCE indicates presence of overflow
Summary: sys-power/acpitool _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Mobile Herd (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-09-15 23:39 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-01-30 14:46 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (acpitool-0.5.1:20100915-224522.log,23.58 KB, text/plain)
2010-09-15 23:39 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-15 23:39:02 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-15 23:39:37 UTC
Created attachment 247527 [details]
Build log
Comment 2 Samuli Suominen gentoo-dev 2012-01-30 14:46:11 UTC
+*acpitool-0.5.1-r1 (30 Jan 2012)
+
+  30 Jan 2012; Samuli Suominen <ssuominen@gentoo.org>
+  +acpitool-0.5.1-r1.ebuild, +files/acpitool-0.5.1-ac_adapter.patch,
+  +files/acpitool-0.5.1-battery.patch, +files/acpitool-0.5.1-kernel3.patch,
+  +files/acpitool-0.5.1-wakeup.patch:
+  Fix compability with Linux 3.x wrt #377355 by Damien Thébault. Fix reading
+  of values from ac_adapters and batteries. Rewrite part of the wakeup code.
+  This will also close #337565 (overflow revealed by _FORTIFY_SOURCE) by Diego
+  Elio Pettenò.

(As it appears, the Debian maintainer fixed this "while at it" in their patchset)